/*
 * $Id: signals.c,v 1.1 1998/06/15 04:16:18 elkner Exp $
 *
 * Author:  Jens Elkner            elkner@ivs.cs.uni-magdeburg.de
 * Project: Jesalfa     http://ivs.cs.uni-magdeburg.de/~elkner/webtools/jesalfa/
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * http://www.gnu.org/copyleft/gpl.html or ./gpl.html
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <signal.h>
#include <netinet/in.h>
#include <arpa/inet.h>

#include "main.h"
#include "debug.h"
#include "utils.h"
#include "tree.h"
#include "register.h"
#include "ip_list.h"
#include "fparse.h"
#include "signals.h"

static char *DescribeSection(void);

void SEGVhandler(int tmp)
{
    fprintf(errfd,"Fatal error in section: %s!\n",section );
    fprintf(errfd,"\nUp to now %d lines analyzed.\n",lineno);
    fprintf(errfd,"Max. dynamic memory usage (malloc): %ld Bytes ",maxmem);
    fprintf(errfd,"for %d TLDs and %d SLDs a %d groups.\n",maxtld,maxsld,maxlogtypegrpid);
    abort();
}

static char *
DescribeSection(void)
{
    static char msg[256];
    static int section = 0;
    
    switch (section) {
	case 0 : {
	    strcpy(msg,"Main");
	    break;
	}
	case 1 : {
	    strcpy(msg,"ParseFile - probably wrong logfile format");
	    break;
	}
	default : {
	    strcpy(msg,"unknown section\n");
	}
    }
    return msg;
}
